package com.sooka.sponest.monitor.dept.mapper;

import com.sooka.sponest.monitor.dept.domain.SysDept;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 部门管理 数据层
 *
 * @author ruoyi
 */
@Repository
public interface SysDeptMapper {

    /**
     * 根据用户名查询dept_id, parent_id, ancestors, dept_name
     */
    SysDept findDeptIdByUserName(SysDept selectDo);

}
