package com.sooka.sponest.monitor.base.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Getter
@Setter
public class BaseBusinessEntity {

    /**
     * 搜索值
     */
    String searchValue;

    Long dataDeptId;

    /**
     * 创建者
     */
    Long createBy;
    /**
     * 创建者
     */
    String remark;
    /**
     * 请求参数
     */
    Map<String, Object> params = new HashMap();
    String database_system;
    String database_event;
    String database_data;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime = new Date();
    /**
     * 更新者
     */
    private Long updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
